Project

General

Profile

Freedom Issue #3299

[kinfocenter]: blacklisted fwupd is a dependency

avalos - 12 days ago - .

Status:
unconfirmed
Priority:
bug
Assignee:
-
% Done:

0%


Description

As a result of fwupd</package> being blacklisted, it is now impossible to install <code>kinfocenter</code>. However, after a quick experiment, I found out that it is perfectly possible to build the package without having <code>fwupd</code> as a dependency, so I would suggest to move <code>kinfocenter</code> to <code>libre</code> and simply remove the dependency from the <code>PKGBUILD</code>. The only thing you'll notice when running <code>kinfocenter</code> is a screen that says ”The fwupdmgr tool is required to display this page, but could not be found.” (Screenshot attached.)


Files

Screenshot_20220621_225002.png (99.6 KB) Screenshot_20220621_225002.png fwupdmgr missing warning avalos, 2022-06-22 03:50 AM

Related issues

Related to Packages - Freedom Issue #2909: fwupd has a nonfree repository Was: Do check fwupdfixed

Actions

History

#1

Updated by bill-auger 12 days ago

Also available in: Atom PDF